Subject: Re: bug#63742: 30.0.50; [BUG] package.el having a hard time

From: Eshel Yaron <[email-masked]>
Date: Sat, 27 May 2023 08:10:31 +0300

Ruijie Yu via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

> package-unpack: Wrong type argument: package-desc, nil

I've had this issue as well since rebuilding Emacs yesterday from the
master branch.  AFAICT the issue is that `package-load-descriptor`
returns `nil` instead of a valid package descriptor when called in
`package-unpack`.

Curiously, when I evaluate the definition of `package-load-descriptor`
(with C-M-x) it starts behaving correctly and the issue goes away.
Perhaps this is a native compilation problem?